Package opennlp.dl

# Record Class SpanEnd

java.lang.Object
java.lang.Record
opennlp.dl.SpanEnd

public record SpanEnd(int index, int characterEnd) extends Record

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SpanEnd(int index, int characterEnd)`
  Creates an instance of a `SpanEnd` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `characterEnd()`
  Returns the value of the `characterEnd` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `int`
  `index()`
  Returns the value of the `index` record component.
  `String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SpanEnd

    public SpanEnd(int index, int characterEnd)
    Creates an instance of a `SpanEnd` record class.
    Parameters:
      `index` - the value for the `index` record component
      `characterEnd` - the value for the `characterEnd` record component

- ## Method Details

  - ### toString

    public String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### index

    public int index()
    Returns the value of the `index` record component.
    Returns:
      the value of the `index` record component

  - ### characterEnd

    public int characterEnd()
    Returns the value of the `characterEnd` record component.
    Returns:
      the value of the `characterEnd` record component